	var accion = document.consultarFichaForm.accion.value;	

$( document ).ready(function() {

	/******************************* PESTAÑAS***************************************/

	$("#generalFicha").rup_tabs({
		tabs : [
		        {i18nCaption:$.rup.i18n.app.partes.datosGenerales, layer:"#tabContenidoGeneral"},
		        {i18nCaption:$.rup.i18n.app.partes.tecnicos, url:"../tecnicos/tecnicosDelaFichaSoloLectura"}
	    ],
	    cache:false,
	    select: function(){
	    	if ($("#generalFicha").tabs('option', 'selected')==1){
	    		//Ha pinchado en la pestaña Datos Generales. ReCargar los datos de Ejecucion por si los ha modificado en la pestaña de Técnicos.
	    		$.ajax({
	    			type: "POST",
	    			url: "../ficha/obtenerDatosEjecucion",
	    			  data:  { idficha:$("#idficha").val()},
	    			success: function(data){
	    				if(data.ejecutado==1){
	    					$("#ejecutado").prop('checked', true);
	    				}else{
	    					$("#ejecutado").prop('checked', false);
	    				}
	    				$("#tiemporeal").attr('disabled',false);
	    				$("#tiemporeal").val(data.tiemporeal);
	    				$("#feejec").attr('disabled',false);
	    				$("#feejec").val(data.feejec);
	    			},
	    			  dataType: "json"
	    			});
	    	}
			}	    
	});
	
    $("#feejec").rup_date ();	
    if ($("#feejec").val()!=""){
        var fechaEjec =  new Date($("#feejec").val().substring(0,10).replace("-","/").replace("-","/"));
        $("#feejec").rup_date("setDate", fechaEjec);
    }
    $("#feejec").rup_date("disable");

	$("#GRID_fichaActuaciones").rup_grid({
		width: 865,
		hasMaint:true,
		url: "../actuacion/gridActuacionesFicha",
		pagerName: "pagerFichaActuaciones",
		rowNum: "30",
		sortorder: "asc",
		sortname: "nroorden",
		//ondblClickRow : fncDetalleActuacion,
		colNames: [
		    "idactuacion",
		    $.rup.i18n.app.mensajesActuacion.numActuacion,
		    $.rup.i18n.app.mensajesActuacion.periodo,
		    $.rup.i18n.app.mensajesActuacion.feprevista,
		    $.rup.i18n.app.mensajesActuacion.descripcion,
		    $.rup.i18n.app.mensajesActuacion.parteAsoc
		],
		colModel: [
			{ name: "idactuacion",
				label: "idactuacion",
				index: "idactuacion",
				width: "15",
				hidden: true,
				editable: false,
				edittype: "text"
			},
			{ name: "act" ,
				label: "act" ,
				index: "nroorden" ,
				width: "50",
				editable: false,
				edittype: "text"
			},
			{ name: "cuestionario.semanas" ,
				label: "cuestionario.semanas" ,
				index: "cuestionario.semanas" ,
				width: "10",
				editable: false,
				edittype: "text",
				align: "center"
			},
			{ name: "feprevista",
				label: "feprevista",
				index: "feprevista",
				width: "15",
				editable: false,
				edittype: "text"
			},
			{ name: "descripcion",
				label: "descripcion",
				index: "descripcion",
				width: "50",
				editable: false,
				edittype: "text"
			},
			{ name: "idparte",
				label: $.rup.i18n.app.mensajesActuacion.crearAbrir,
				index: "idparte",
				width: "15",
				editable: false,
				edittype: "text",
				align: "center",
				 formatter :
		            	masiveIconFormatter = function(cellval, el, opts) 
		            	{
		            	
				    		var html = '';
				    		var src = '';
				    		if (cellval && cellval != 0){
				    			src=$.rup.APP_STATICS + "/images/ver_detalle.gif";
				    			html = cellval + '<img width="15" height="15" src='+src+' style="text-align:center;cursor:pointer" id="idImp-'+el.rowId+'"  title="'+$.rup.i18n.app.mensajesActuacion.abrirPC+'" onclick="abrirParteCorrectivo(\''+cellval+'\');">';
				    		}

		                	return html;
		            	}
			}
        ]
		
	});
	$("#fichaActuaciones").rup_maint({
		jQueryGrid: "GRID_fichaActuaciones",
		primaryKey: "idactuacion",
		modelObject: "Actuacion",
		detailButtons: $.rup.maint.detailButtons.SAVE,
		searchForm: "searchForm",
		showMessages: true,
		toolbar:{
			createDefaultToolButtons:false,
			newButtons: []
			}
	});

	$("#GRID_fichaActuaciones").unbind("dblclick");
	
	
	$("input").attr('disabled','disabled');
	$("textarea").attr('readonly','readonly');

});	  



/**********************************************************************************/
/********************************** ACTUACIONES ***********************************/
/**********************************************************************************/



function abrirParteCorrectivo(idparteCorr){
	buscaParteForm.idparte.value = idparteCorr;
	buscaParteForm.submit();
}






$("#bt_imprimir").bind("click", imprimir);

function imprimir() {
	 var idFicha = $("#idficha").val();
	 var idMaquina = $("#idmaquina").val();
	 //Se envia el formulario con el idmaquina y el idficha
	 $("#filtroFichasForm").attr("target","_blank");
		
	 $("#idfichaImpFicha").val(idFicha);
	 $("#idmaquinaImpFicha").val(idMaquina);
	 
	 //filtroFichasForm.idmaquina.value = idMaquina;
	 //filtroFichasForm.idficha.value = idFicha;
	 $("#filtroFichasForm").submit();

}


/**********************************************************************************/
/****************************** FIN FICHAS *********************************/
/**********************************************************************************/

/********************************* BOTON VOLVER  ****************************************************************/

	$("#bt_Volver").bind("click", volver);

function volver() {
	if ($("#ventanaOrigenFicha").val()=="PlanificacionGeneral"){
		window.location = "/aa20bMaqPartesWar/maquinas/planGeneralVolver";	
	}else if($("#ventanaOrigenFicha").val()=="prevPendAsignar"){
		window.location = "/aa20bMaqPartesWar/ficha/prevPendAsignarVolver";	
	}else if($("#ventanaOrigenFicha").val()=="prevAsigPendEjec"){
		window.location = "/aa20bMaqPartesWar/ficha/prevAsigPendEjecutarVolver";	
	}else if($("#ventanaOrigenFicha").val()=="actAnual"){
		window.location = "/aa20bMaqPartesWar/maquinas/actAnualVolver";
	}else if($("#ventanaOrigenFicha").val()=="mantFichas"){
		window.location = "/aa20bMaqPartesWar/ficha/maintVolver";
	}else{
		var idMaquina =$("#idmaquina").val();
	    // enviamos el form alternativo con el idMaquina para la busqueda
		buscaMaquinaForm.idMaquinaBusc.value = idMaquina;
		buscaMaquinaForm.submit();
	}
}



/********************************* FIN VOLVER  ****************************************************************/


 

